JOURNAL_CHEC(9)

NAME
journal_check_available_features - Check feature set in journalling layer

SYNOPSIS

int journal_check_available_features (journal_t * journal, unsigned long compat, unsigned long ro, unsigned long incompat);

ARGUMENTS

journal
    Journal to check.

compat
    bitmask of compatible features

ro  bitmask of features that force read-only mount

incompat
    bitmask of incompatible features

DESCRIPTION

Check whether the journaling code supports the use of all of a given set of features on this journal. Return true

AUTHORS
Roger Gammans <rgammans@computer-surgery.co.uk>, Stephen Tweedie <sct@redhat.com>.